.about-us-key-metrics-section {
    padding-top: 75px;
    padding-bottom: 150px;
}

.about-us-key-metrics-section h3 {
    color: #00222B;
    text-align: center;
    font-family: Termina;
    font-size: 40px;
    font-style: normal;
    font-weight: 400;
    line-height: 48px;
}

.about-us-key-metrics-section .beacon-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Image container to allow absolute positioning */
.key-metrics-image-container {
    position: relative;
    display: inline-block;
    max-width: 100%;
}

.key-metrics-image-container img {
    width: 915px;
    max-height: 441px;
    object-fit: cover;
    display: block;
}

/* Statistic box styling */
.key-metric {
    position: absolute;
    background-color: #00222B;
    padding: 15px 30px;
    border-radius: 6px;
    min-width: 266px;
    transition: transform 0.3s ease-in-out; /* Smooth transition */
}

.key-metric h3.number {
    color: #D8D0C3;
    font-family: Termina;
    font-size: 40px;
    font-style: normal;
    font-weight: 400;
    line-height: 48px;
    text-align: left;
    padding: 0;
    margin: 0;
}

.key-metric span.placeholder {
    color: #D8D0C3;
    font-family: Termina;
    font-size: 12.775px;
    font-style: normal;
    font-weight: 400;
    line-height: 15.33px;
    text-align: left;
}

/* Positions for the statistics */
.key-metric[data-stat="statistics1"] { top: 5%; left: -2%; } 
.key-metric[data-stat="statistics2"] { top: 35%; left: 15%; }  
.key-metric[data-stat="statistics3"] { top: 20%; right: -7%; }  
.key-metric[data-stat="statistics4"] { bottom: -10%; left: 5%; } 
.key-metric[data-stat="statistics5"] { bottom: -8%; right: 6%; }  

/* Hover effect: move all statistics upwards */
.key-metrics-image-container:hover .key-metric {
    transform: translateY(-30%);
}

@media (max-width: 768px) {

    .about-us-key-metrics-section h3 {
        color: #00222B;
        font-family: Termina;
        font-size: 24px;
        font-style: normal;
        font-weight: 400;
        line-height: 1.15;
        text-align: left;
        margin-bottom: 40px;
    }

    .about-us-key-metrics-section h3 p { 
        margin-bottom: 0;
    }

    .key-metrics-image-container img {
        visibility: hidden;
    }

    .about-us-key-metrics-section .beacon-container {
        align-items: flex-start;
    }

    .about-us-key-metrics-section {
        padding: 45px 30px 130px;
    }

    .key-metric {
        min-width: 50px;
    }

    .key-metric[data-stat="statistics4"] {
        top: 0;
        left: 0;
        width: 100%;
        bottom: unset;
    }

    .key-metric[data-stat="statistics5"] {
        top: 50%;
        left: 0;
        width: 200px !important;
        bottom: unset;
    }

    .key-metric[data-stat="statistics3"] {
        top: 50%;
        right: 0;
        width: 150px;
    }

    .key-metric[data-stat="statistics1"] {
        top: unset;
        left: 0;
        bottom: unset;
        width: 100%;
    }
}

@media (max-width: 393px) {
    .key-metric[data-stat="statistics5"] {
        top: 50%;
        left: 0;
        width: 174px !important;
        bottom: unset;
    }
}

@media (min-width: 480px) and (max-width: 480px) {
    .key-metric[data-stat="statistics5"] {
        top: 50%;
        left: 0;
        width: 250px !important;
        bottom: unset;
    }

    .key-metric[data-stat="statistics5"] {
        top: 45%;
        left: 0;
        width: 250px !important;
        bottom: unset;
    }

    .key-metric[data-stat="statistics3"] {
        top: 45%;
        right: 0;
        width: 150px;
    }

    .key-metric[data-stat="statistics1"] {
        top: 89%;
        left: 0;
        bottom: unset;
        width: 100%;
    }

}